# Uses of Class
com.ocient.jdbc.XGConnection.RemoteEndpoint

Packages that use XGConnection.RemoteEndpoint
Package
Description
com.ocient.jdbc

## Uses of XGConnection.RemoteEndpoint in com.ocient.jdbc

Fields in com.ocient.jdbc with type parameters of type XGConnection.RemoteEndpoint
Modifier and Type
Field
Description
`final List<XGConnection.RemoteEndpoint>`
XGConnection.RemoteNode.`endpoints`
`protected Optional<XGConnection.RemoteEndpoint>`
XGConnection.`lastConnectedEndpoint`
Methods in com.ocient.jdbc that return XGConnection.RemoteEndpoint
Modifier and Type
Method
Description
`static XGConnection.RemoteEndpoint`
XGConnection.RemoteEndpoint.`resolve(String host, int port, int index)`
Methods in com.ocient.jdbc that return types with arguments of type XGConnection.RemoteEndpoint
Modifier and Type
Method
Description
`protected Optional<XGConnection.RemoteEndpoint>`
XGConnection.`getLastConnectedEndpoint()`
`protected Stream<XGConnection.RemoteEndpoint>`
XGConnection.`getSecondaryInterfaces()`
Constructor parameters in com.ocient.jdbc with type arguments of type XGConnection.RemoteEndpoint
Modifier
Constructor
Description
``
`RemoteNode(List<XGConnection.RemoteEndpoint> endpoints)`